"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const log = require("../util/log.js");
var implsStore = {};
function registerImpl(name, impl) {
  if (process.env.NODE_ENV !== "production") {
    if (implsStore[name]) {
      log.error("Already has an implementation of " + name + ".");
    }
  }
  implsStore[name] = impl;
}
function getImpl(name) {
  if (process.env.NODE_ENV !== "production") {
    if (!implsStore[name]) {
      log.error("Implementation of " + name + " doesn't exists.");
    }
  }
  return implsStore[name];
}
exports.getImpl = getImpl;
exports.registerImpl = registerImpl;
